cancel
Showing results for 
Search instead for 
Did you mean: 

Could not launch EPM via Firefox or Edge

0 Kudos

Hi experts,

I have the following error when I tried to open EPM report in BPF via Firefox.

I found a note which have the exact error - SAP note 2133861. However, when I follow the solution provided where it asked to install add-on NP.EPM.Plugin.xpi in Firefox, I got error message saying that the file is corrupted. I have tried a lot of times installing and uninstalling the EPM and Firefox and the result is the same.

We are using IE all these while and since IE has been decommission, we need to find alternative browser to use. We have the following version in our system:

- SAP 7.4 SP 13

- BPC NW 10.1 SP 8

- Excel 365

I have checked the PAM document and the browsers that could be used is only Firefox. However, I am able to login to web admin using all the browsers listed below but the EPM add in / launcher seems not able to be detected (except for IE). I have downloaded the latest Firefox (release 102.0.1) and latest EPM add-in (EPMEXCLCLNT38P_10-10011004) but it won't work and it gives the error saying "Error launching office client: a.PushActionsByValue is not a function". When I follow the note to install NP.EPM.Plugin.xpi add in in Firefox, it says the file corrupted. Appreciate your help on this if you have experience this issue. Thanks a lot.

Thank you.

Best regards,

KH

Accepted Solutions (1)

Accepted Solutions (1)

William_Yu
Product and Topic Expert
Product and Topic Expert
0 Kudos

Hi khxy,

If you check SAP note 3053097 ,you may know that open EPM report from BPC web client for most browsers doesn't use any plug-in anymore. Instead, browser will download a sapaox file and open it with EPM or AO client.

And unforunately, your BPC sp level is too old to use aother browsers than IE, and the Firefox plug-in is NOT compatible with latest Firefox version anymore. Options as I can see for now:

  • Continue to use IE, though it's not officially supported by MS, but there should no issue to continue using it.
  • Upgrade your BPC 10.1 to latest version, so you should be able to use all supported browsers without plug-in.
  • Apply TCI note 2645219 which will allow web client to download sapaox file, but this note will change the web client theme.

Best regards, William

0 Kudos

Hi William,

Thank you on the valuable feedback. Indeed the SP level is old and we have decided to upgrade. Hopefully things will get resolved after the upgrade.

Thank you.

William_Yu
Product and Topic Expert
Product and Topic Expert
0 Kudos

Good to know, please note that, with upgrade, default theme of BPC web client will be changed as well.

Answers (0)